| Home | Libraries | People | FAQ | More

##### stage_response::as_statement

Retrieves the contained statement or throws an exception.

###### Synopsis

    statement
    as_statement() const;

###### Description

If `*this` contains an statement (`this->has_statement() == true`), retrieves it. Otherwise, throws an exception.

###### Exception safety

Strong guarantee. Throws on invalid input.

###### Exceptions

Type | Thrown On
--- | ---
`std::invalid_argument` | If `*this` does not contain a statement.